IRPCIndexingDataSource.GetSmallestTimestampForMetadataIX

View as Markdown

Server integration API / specialized internal: not for applications write session

Gets the smallest timestamp of an object that has been modified since specific Change Tracking version. Returns also the current Change Tracking version.

ServiceIndexing data source MFiles.IRPCIndexingDataSource
gRPC method/MFiles.IRPCIndexingDataSource/GetSmallestTimestampForMetadataIX
HTTP (mf-http-grpc)POST /grpc/v1/get-smallest-timestamp-for-metadata-ix
RequestGetSmallestTimestampForMetadataIXRequest
ResponseGetSmallestTimestampForMetadataIXResponse
Book and levelServer integration API, specialized
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

For M-Files components only. Search indexers call it to map the Change Tracking version of their last position to the oldest change that they must still process. Applications should not call it.

Request: GetSmallestTimestampForMetadataIXRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
indexing_requestIndexingRequestGeneral information about the request.
indexing_request.options_obsoleteuint32Control flags for the request.
indexing_request.optionsINDEXINGREQUESTFLAGSControl flags for the request.
indexing_request.options.allboolSpecifies all flags set; Including any future flags.
indexing_request.options.accept_modificationsboolThe indexer accepts new and modified objects in the request.
indexing_request.options.accept_destructionsboolThe indexer accepts destructions of objects in the request.
indexing_request.options.accept_acl_modificationsboolThe indexer accepts ACL modifications of objects in the request.
indexing_request.index_nameIndexNameIdentifies the index.
indexing_request.index_name.configuration_namestringThe name of the index configuration.
indexing_request.index_name.repository_connectionstringIdentifies the external repository connection.
indexing_request.index_name.configuration_typeIndexConfigurationTypeThe index configuration type (e.g., Shared versus Legacy).Values: INDEX_CONFIGURATION_TYPE_UNKNOWN (0), INDEX_CONFIGURATION_TYPE_LEGACY (1), INDEX_CONFIGURATION_TYPE_SHARED (2), INDEX_CONFIGURATION_TYPE_ANY (3).
indexing_request.auxiliary_indexer_idstringIf not null, identifies auxiliary indexer that consumes the data.
indexing_request.partitionIndexerPartitionIf set, specifies how to partition the candidate objects for this caller.
indexing_request.partition.ruleIndexerPartitioningRuleSpecifies how the indexing is partitioned.
indexing_request.partition.iduint32Zero-based identifier of the partition.
indexing_request.last_indexed_timestampLogicalTimestampThe last indexed logical timestamp. Ignored if its type is LOGICAL_TIMESTAMP_TYPE_IGNORED.
indexing_request.last_indexed_timestamp.typeLogicalTimestampTypeLogical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4).
indexing_request.last_indexed_timestamp.dataLogicalTimestampUnionThe data as a union.
indexing_request.last_change_tracking_timestampLogicalTimestampChange Tracking version from last indexed logical timestamp.
indexing_request.last_change_tracking_timestamp.typeLogicalTimestampTypeLogical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4).
indexing_request.last_change_tracking_timestamp.dataLogicalTimestampUnionThe data as a union.
indexing_request.indexer_locationIndexerLocationDefines if indexer making the request is of type internal (legacy) or external.Values: INDEXER_LOCATION_UNINITIALIZED (0), INDEXER_LOCATION_LEGACY (1), INDEXER_LOCATION_EXTERNAL (2).

Response: GetSmallestTimestampForMetadataIXResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
smallest_changed_version_for_mixLogicalTimestampReceives the smallest object version that has changed since provided change tracking version.
smallest_changed_version_for_mix.typeLogicalTimestampTypeLogical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4).
smallest_changed_version_for_mix.dataLogicalTimestampUnionThe data as a union.
smallest_changed_version_for_mix.data.integerLogicalTimestampInteger (oneof data)Logical timestamp as an int64 vector.
smallest_changed_version_for_mix.data.stringLogicalTimestampString (oneof data)String.
smallest_changed_version_for_mix.data.integer_and_stringLogicalTimestampIntegerAndString (oneof data)Integer and string.
current_change_tracking_versionLogicalTimestampReceives the current change tracking version.
current_change_tracking_version.typeLogicalTimestampTypeLogical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4).
current_change_tracking_version.dataLogicalTimestampUnionThe data as a union.
current_change_tracking_version.data.integerLogicalTimestampInteger (oneof data)Logical timestamp as an int64 vector.
current_change_tracking_version.data.stringLogicalTimestampString (oneof data)String.
current_change_tracking_version.data.integer_and_stringLogicalTimestampIntegerAndString (oneof data)Integer and string.